Subject: Re: [bug#60908] [PATCH 10/25] gnu: gopkg-in-errgo-fmt-errors: Rename package to go-gopkg-in-errgo-fmt-errors.

From: Katherine Cox-Buday <[email-masked]>
Date: Tue, 07 Feb 2023 10:20:37 -0700

Christopher Baines <[email-masked]> writes:

> Katherine Cox-Buday <[email-masked]> writes:
>
>> * gnu/packages/configuration-management.scm (chezmoi): Define in terms
>> of'go-gopkg-in-errgo-fmt-errors'.
>>
>> * (go-gopkg-in-errgo-fmt-errors): New variable, formerly known as
>> "gopkg-in-errgo-fmt-errors".
>
> I'm no expert in changelog entries in commit messages, but I'd probably
> write this like:
>
> * gnu/packages/golang.scm (gopkg-in-errgo-fmt-errors):
> Rename to …
> (go-gopkg-in-errgo-fmt-errors): … this.
> * gnu/packages/configuration-management.scm (chezmoi)[native-inputs]: Update
> accordingly.
>
>
> I think that's a little clearer in terms of the changes being made,
> and has less words as well.

Thank you for the suggestions; I agree it is much clearer.

The changelog format is something I personally really struggle with, so
I use tools to hopefully get me closer to being correct. I am using the
auto-complete snippets provided `./etc/snippets`, and it looks like this
is the format defined in:

`./etc/snippets/yas/log-edit-mode/guix-vc-commit-message-rename-package`

I'd love to be able to get these right, and I'll endeavor to do so, but
if the tooling is suggesting unhelpful things, it's going to be a real
struggle for me. Should we update the snippets?

-- 
Katherine